---
updatedAt: 2026-06-24T12:41:14.000Z
agentTools:
  projectIndex: https://developer.validic.com/llms.txt
---

# CGM

Returns a list of time series CGM data for a given user.

## Request Information

### Request Parameters

<Table align={["left","left","left","left"]}>
  <thead>
    <tr>
      <th style={{ textAlign: "left" }}>
        Name
      </th>

      <th style={{ textAlign: "left" }}>
        Required Field
      </th>

      <th style={{ textAlign: "left" }}>
        Type
      </th>

      <th style={{ textAlign: "left" }}>
        Description
      </th>
    </tr>
  </thead>

  <tbody>
    <tr>
      <td style={{ textAlign: "left" }}>
        start_date
      </td>

      <td style={{ textAlign: "left" }}>
        optional
      </td>

      <td style={{ textAlign: "left" }}>
        string
      </td>

      <td style={{ textAlign: "left" }}>
        The start date to retrieve user data for. Format: YYYY-MM-DD. Default is current UTC day. Max date range is 30 days.
      </td>
    </tr>

    <tr>
      <td style={{ textAlign: "left" }}>
        end_date
      </td>

      <td style={{ textAlign: "left" }}>
        optional
      </td>

      <td style={{ textAlign: "left" }}>
        string
      </td>

      <td style={{ textAlign: "left" }}>
        The end date to retrieve user data for. Format: YYYY-MM-DD. Default is current UTC day. Max date range is 30 days.
      </td>
    </tr>

    <tr>
      <td style={{ textAlign: "left" }}>
        source
      </td>

      <td style={{ textAlign: "left" }}>
        optional
      </td>

      <td style={{ textAlign: "left" }}>
        string
      </td>

      <td style={{ textAlign: "left" }}>
        Used to filter records to source(s).  
        Example:  
        “...?source=abbott,dexcom”  
        or  
        “...?source=dexcom”
      </td>
    </tr>
  </tbody>
</Table>

### HTTP Response Status

| Response Code     | Description                                                   |
| :---------------- | :------------------------------------------------------------ |
| 200 (Ok)          | Indicates the request was received and a result was returned. |
| 400 (Bad Request) | Indicates that there was an error with request                |

### Field Description

| Name                               | Type    | Description                                                                                                                                                                                                                                                                                |
| :--------------------------------- | :------ | :----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| version                            | string  | Indicates the resource payload version. Validic will make future updates to the structure of the resource payload where breaking changes will receive a new version.                                                                                                                       |
| id                                 | string  | Unique identifier for the record.                                                                                                                                                                                                                                                          |
| checksum                           | string  | A derived value useful when comparing records with the same `id` for data updates.                                                                                                                                                                                                         |
| type                               | string  | The Validic Resource type. For CGM records the type will be `cgm`.                                                                                                                                                                                                                         |
| start\_time                        | string  | The start time of the event represented in UTC. Format: YYYY-MM-DDThh:mm:ssZ.                                                                                                                                                                                                              |
| end\_time                          | string  | The end time of the event represented in UTC. Format: YYYY-MM-DDThh:mm:ssZ.                                                                                                                                                                                                                |
| utc\_offset                        | integer | The offset in seconds from UTC.                                                                                                                                                                                                                                                            |
| offset\_origin                     | string  | The source of the UTC offset. Valid values: `source` (UTC offset received from the original record), `profile` (UTC offset received from the source's user profile), `user_defined` (UTC offset provided by user's time zone selection upon authorization through the Validic Marketplace) |
| user                               | object  | A User object that contains identifiers related to the user.                                                                                                                                                                                                                               |
| user>uid                           | string  | The customer's user ID.                                                                                                                                                                                                                                                                    |
| user>user\_id                      | string  | Validic user ID.                                                                                                                                                                                                                                                                           |
| user>organization\_id              | string  | Validic organization ID.                                                                                                                                                                                                                                                                   |
| log\_id                            | string  | The unique identifier for the record provided by the source.                                                                                                                                                                                                                               |
| source                             | string  | A source object that contains source specific information.                                                                                                                                                                                                                                 |
| source>type                        | string  | The source Validic retrieved the data from.source>type                                                                                                                                                                                                                                     |
| source>devices                     | object  | A devices object containing information about the devices that generated the data if available.                                                                                                                                                                                            |
| source>device>id                   | string  | The name of the device.                                                                                                                                                                                                                                                                    |
| source>device>manufacturer         | string  | The manufacturer of the device.                                                                                                                                                                                                                                                            |
| source>device>model                | string  | The model of the device.                                                                                                                                                                                                                                                                   |
| metrics                            | array   | An array of Metrics. Refer to the Metrics documentation for further information.                                                                                                                                                                                                           |
| metrics>type                       | string  | The type of metric being reported.                                                                                                                                                                                                                                                         |
| metrics>unit                       | string  | The unit of the metric being reported.                                                                                                                                                                                                                                                     |
| metrics>origin                     | string  | The source of the metric. Valid values: `device` the data source indicated this metric was generated by the device, `manual` the data source indicated this metric was manually entered, `unknown` the data source did not indicate an origin for this metric.                             |
| metrics>reading\_log               | array   | An array of times series readings for the given metric.                                                                                                                                                                                                                                    |
| metrics>reading\_log>time          | string  | UTC timestamp for the data point.                                                                                                                                                                                                                                                          |
| metrics>reading\_log>value         | string  | Value for the metric for a specific time series reading.                                                                                                                                                                                                                                   |
| metrics>reading\_log>display\_time | string  | User local timestamp for the data point if available from the source.                                                                                                                                                                                                                      |
| metrics>reading\_log>device\_id    | string  | Source device identifier for the cgm that captured the reading if available from the source.                                                                                                                                                                                               |
| metrics>reading\_log>scheduled     | boolean | Indicates the specific time series data point is from a scan pre-scheduled by the sensor/receiver if available from the source.                                                                                                                                                            |
| metrics>reading\_log>new\_sensor   | boolean | Indicates whether the reading is the first after a sensor change if available from the source.                                                                                                                                                                                             |
| created\_at                        | string  | The record processed time represented in UTC. Format: YYYY-MM-DDThh:mm:ssZ.                                                                                                                                                                                                                |

## Additional Code Samples

```json Dexcom
{
  "type": "cgm",
  "checksum": "51502ff934e3b47b3df8284494f814b8",
  "created_at": "2026-03-05T18:23:33.220Z",
  "deleted_at": null,
  "end_time": "2026-03-04T23:59:59Z",
  "id": "7db302193cc6b9b80405f189be67b9c8",
  "log_id": "2026-03-04",
  "metrics": [
    {
      "origin": "device",
      "type": "blood_glucose",
      "unit": "mg/dL",
      "reading_log": [
        {
          "time": "2026-03-04T01:04:48Z",
          "value": 204,
          "display_time": "2026-03-04T07:04:48-08:00",
          "scheduled": true,
          "device_id": "cdb4f8eea4392295413c64..."
        },
        {
          "time": "2026-03-04T01:09:48Z",
          "value": 197,
          "display_time": "2026-03-04T07:09:48-08:00",
          "scheduled": true,
          "device_id": "69bbc1b66cfe49597c5eff1376..."
        }
      ]
    }
  ],
  "source": {
    "type": "dexcom",
    "devices": {
      "cdb4f8eea4392295413c64...": {
        "id": "cdb4f8eea4392295413c64...",
        "manufacturer": "Dexcom",
        "model": "G7"
      },
      "69bbc1b66cfe49597c5eff1376...": {
        "id": "69bbc1b66cfe49597c5eff1376...",
        "manufacturer": "Dexcom",
        "model": "G7"
      }
    }
  },
  "start_time": "2026-03-04T00:00:00Z",
  "tags": [],
  "user": {
    "organization_id": "6584a3e40f32d5000fc254a7",
    "uid": "7fd835687f1f41ed8b125ca0ebfeaeb8",
    "user_id": "66be73022d30800011ae066e"
  },
  "user_notes": [],
  "utc_offset": -18000,
  "offset_origin": "user_defined",
  "version": "1.0"
}
```

```json Abbott
{
  "type": "cgm",
  "checksum": "51502ff934e3b47b3df8284494f814b8",
  "created_at": "2026-03-05T18:23:33.220Z",
  "deleted_at": null,
  "end_time": "2026-03-04T23:59:59Z",
  "id": "7db302193cc6b9b80405f189be67b9c8",
  "log_id": "2026-03-04",
  "metrics": [
    {
      "origin": "device",
      "type": "blood_glucose",
      "unit": "mg/dL",
      "reading_log": [
        {
          "time": "2026-03-04T01:04:48Z",
          "value": 204,
          "display_time": "2026-03-04T07:04:48-08:00",
          "scheduled": true,
          "device_id": "cdb4f8eea4392295413c64...",
          "new_sensor": false
        },
        {
          "time": "2026-03-04T01:09:48Z",
          "value": 197,
          "display_time": "2026-03-04T07:09:48-08:00",
          "scheduled": true,
          "device_id": "abc5jfskd38493842...",
          "new_sensor": true
        }
      ]
    }
  ],
  "source": {
    "type": "abbott",
    "devices": {
      "cdb4f8eea4392295413c64...": {
        "id": "cdb4f8eea4392295413c64...",
        "manufacturer": "Abbott",
        "model": "freestylelibre2"
      },
      "abc5jfskd38493842...": {
        "id": "abc5jfskd38493842...",
        "manufacturer": "Abbott",
        "model": "freestylelibre3"
      }
    }
  },
  "start_time": "2026-03-04T00:00:00Z",
  "tags": [],
  "user": {
    "organization_id": "6584a3e40f32d5000fc254a7",
    "uid": "7fd835687f1f41ed8b125ca0ebfeaeb8",
    "user_id": "66be73022d30800011ae066e"
  },
  "user_notes": [],
  "utc_offset": -18000,
  "offset_origin": "user_defined",
  "version": "1.0"
}
```

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "inform-data-resources",
    "version": "2.0"
  },
  "servers": [
    {
      "url": "https://api.v2.validic.com"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "in": "query",
        "name": "api_key"
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/organizations/{org_id}/users/{uid}/cgm?token={token}": {
      "get": {
        "summary": "CGM",
        "description": "Returns a list of time series CGM data for a given user.",
        "operationId": "cgm",
        "parameters": [
          {
            "name": "start_date",
            "in": "query",
            "description": "The start date to retrieve user data for. Format: YYYY-MM-DD. Default is current UTC day. Max date range is 30 days.",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "end_date",
            "in": "query",
            "description": "The end date to retrieve user data for. Format: YYYY-MM-DD. Default is current UTC day. Max date range is 30 days.",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "source",
            "in": "query",
            "description": "Used to filter records to source(s). Example: “...?source=abbott,dexcom” or “...?source=dexcom”",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "org_id",
            "in": "path",
            "description": "Organization ID provided to you by Validic.",
            "schema": {
              "type": "string"
            },
            "required": true
          },
          {
            "name": "uid",
            "in": "path",
            "description": "The UID you defined when provisioning the client.",
            "schema": {
              "type": "string"
            },
            "required": true
          },
          {
            "name": "token",
            "in": "path",
            "description": "Developer Key as supplied by Validic.",
            "schema": {
              "type": "string"
            },
            "required": true
          }
        ],
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": {
                      "type": "cgm",
                      "checksum": "51502ff934e3b47b3df8284494f814b8",
                      "created_at": "2026-03-05T18:23:33.220Z",
                      "deleted_at": null,
                      "end_time": "2026-03-04T23:59:59Z",
                      "id": "7db302193cc6b9b80405f189be67b9c8",
                      "log_id": "2026-03-04",
                      "metrics": [
                        {
                          "origin": "device",
                          "type": "blood_glucose",
                          "unit": "mg/dL",
                          "reading_log": [
                            {
                              "time": "2026-03-04T01:04:48Z",
                              "value": 204,
                              "display_time": "2026-03-04T07:04:48-08:00",
                              "scheduled": true,
                              "device_id": "cdb4f8eea4392295413c64..."
                            },
                            {
                              "time": "2026-03-04T01:09:48Z",
                              "value": 197,
                              "display_time": "2026-03-04T07:09:48-08:00",
                              "scheduled": true,
                              "device_id": "69bbc1b66cfe49597c5eff1376..."
                            }
                          ]
                        }
                      ],
                      "source": {
                        "type": "dexcom",
                        "devices": {
                          "cdb4f8eea4392295413c64...": {
                            "id": "cdb4f8eea4392295413c64...",
                            "manufacturer": "Dexcom",
                            "model": "G7"
                          },
                          "69bbc1b66cfe49597c5eff1376...": {
                            "id": "69bbc1b66cfe49597c5eff1376...",
                            "manufacturer": "Dexcom",
                            "model": "G7"
                          }
                        }
                      },
                      "start_time": "2026-03-04T00:00:00Z",
                      "tags": [],
                      "user": {
                        "organization_id": "6584a3e40f32d5000fc254a7",
                        "uid": "7fd835687f1f41ed8b125ca0ebfeaeb8",
                        "user_id": "66be73022d30800011ae066e"
                      },
                      "user_notes": [],
                      "utc_offset": -18000,
                      "offset_origin": "user_defined",
                      "version": "1.0"
                    }
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "type": {
                      "type": "string",
                      "example": "cgm"
                    },
                    "checksum": {
                      "type": "string",
                      "example": "51502ff934e3b47b3df8284494f814b8"
                    },
                    "created_at": {
                      "type": "string",
                      "example": "2024-09-05T18:23:33.220Z"
                    },
                    "deleted_at": {},
                    "end_time": {
                      "type": "string",
                      "example": "2024-09-04T23:59:59Z"
                    },
                    "id": {
                      "type": "string",
                      "example": "7db302193cc6b9b80405f189be67b9c8"
                    },
                    "log_id": {
                      "type": "string",
                      "example": "2024-09-04"
                    },
                    "metrics": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "origin": {
                            "type": "string",
                            "example": "device"
                          },
                          "type": {
                            "type": "string",
                            "example": "blood_glucose"
                          },
                          "unit": {
                            "type": "string",
                            "example": "mg/dL"
                          },
                          "reading_log": {
                            "type": "array",
                            "items": {
                              "type": "object",
                              "properties": {
                                "time": {
                                  "type": "string",
                                  "example": "2024-09-04T01:04:48Z"
                                },
                                "value": {
                                  "type": "integer",
                                  "example": 204,
                                  "default": 0
                                },
                                "display_time": {
                                  "type": "string",
                                  "example": "2024-09-04T07:04:48-08:00"
                                },
                                "scheduled": {
                                  "type": "boolean",
                                  "example": true,
                                  "default": true
                                },
                                "device_id": {
                                  "type": "string",
                                  "example": "cdb4f8eea4392295413c64..."
                                }
                              }
                            }
                          }
                        }
                      }
                    },
                    "source": {
                      "type": "object",
                      "properties": {
                        "type": {
                          "type": "string",
                          "example": "dexcom"
                        },
                        "devices": {
                          "type": "object",
                          "properties": {
                            "cdb4f8eea4392295413c64...": {
                              "type": "object",
                              "properties": {
                                "id": {
                                  "type": "string",
                                  "example": "cdb4f8eea4392295413c64..."
                                },
                                "manufacturer": {
                                  "type": "string",
                                  "example": "Dexcom"
                                },
                                "model": {
                                  "type": "string",
                                  "example": "G7"
                                }
                              }
                            },
                            "69bbc1b66cfe49597c5eff1376...": {
                              "type": "object",
                              "properties": {
                                "id": {
                                  "type": "string",
                                  "example": "69bbc1b66cfe49597c5eff1376..."
                                },
                                "manufacturer": {
                                  "type": "string",
                                  "example": "Dexcom"
                                },
                                "model": {
                                  "type": "string",
                                  "example": "G7"
                                }
                              }
                            }
                          }
                        }
                      }
                    },
                    "start_time": {
                      "type": "string",
                      "example": "2024-09-04T00:00:00Z"
                    },
                    "tags": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {}
                      }
                    },
                    "user": {
                      "type": "object",
                      "properties": {
                        "organization_id": {
                          "type": "string",
                          "example": "6584a3e40f32d5000fc254a7"
                        },
                        "uid": {
                          "type": "string",
                          "example": "7fd835687f1f41ed8b125ca0ebfeaeb8"
                        },
                        "user_id": {
                          "type": "string",
                          "example": "66be73022d30800011ae066e"
                        }
                      }
                    },
                    "user_notes": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {}
                      }
                    },
                    "utc_offset": {
                      "type": "integer",
                      "example": -18000,
                      "default": 0
                    },
                    "offset_origin": {
                      "type": "string",
                      "example": "user_defined"
                    },
                    "version": {
                      "type": "string",
                      "example": "1.0"
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "Indicates that there was an error with request"
                  }
                }
              }
            }
          },
          "401": {
            "description": "401",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n    \"errors\": [\n        \"Token is not authorized to access organization\"\n    ]\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "errors": {
                      "type": "array",
                      "items": {
                        "type": "string",
                        "example": "Token is not authorized to access organization"
                      }
                    }
                  }
                }
              }
            }
          },
          "403": {
            "description": "403",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n    \"message\": \"Invalid authentication credentials\"\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "message": {
                      "type": "string",
                      "example": "Invalid authentication credentials"
                    }
                  }
                }
              }
            }
          }
        },
        "x-readme": {
          "code-samples": [
            {
              "language": "curl",
              "code": "curl --request GET \\\n  --url 'https://api.v2.validic.com/organizations/59ba7cdSAMPLE001c29216/users/277040620-sel/cgm?start_date=2018-10-17&token=d330c6f543da460890d193ef0b6fa9fe'"
            }
          ],
          "samples-languages": [
            "curl"
          ]
        }
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```